Package org.jboss.resteasy.plugins.providers.multipart

## Class MultipartInputImpl.PartImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartInputImpl.PartImpl

- All Implemented Interfaces:
    `InputPart`
  Enclosing class:
    MultipartInputImpl

      public class MultipartInputImpl.PartImpl
      extends Object
      implements InputPart

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.resteasy.plugins.providers.multipart.InputPart

      `DEFAULT_CHARSET_PROPERTY, DEFAULT_CONTENT_TYPE_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PartImpl​(org.apache.james.mime4j.message.BodyPart bodyPart)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InputStream` | `getBody()` |
    `<T> T` | `getBody​(Class<T> type, Type genericType)` |
    `<T> T` | `getBody​(javax.ws.rs.core.GenericType<T> type)` |
    `String` | `getBodyAsString()` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getHeaders()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `boolean` | `isContentTypeFromMessage()` |
    `void` | `setMediaType​(javax.ws.rs.core.MediaType mediaType)` | Change the media type of the body part before you extract it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartImpl

          public PartImpl​(org.apache.james.mime4j.message.BodyPart bodyPart)

  - ### Method Detail

    - #### setMediaType

          public void setMediaType​(javax.ws.rs.core.MediaType mediaType)

      Description copied from interface: `InputPart`
      Change the media type of the body part before you extract it. Useful for specifying a charset.
      Specified by:
        `setMediaType` in interface `InputPart`
      Parameters:
        `mediaType` - media type

    - #### getBody

          public <T> T getBody​(Class<T> type,
                               Type genericType)
                        throws IOException

      Specified by:
        `getBody` in interface `InputPart`
      Throws:
        `IOException`

    - #### getBody

          public <T> T getBody​(javax.ws.rs.core.GenericType<T> type)
                        throws IOException

      Specified by:
        `getBody` in interface `InputPart`
      Throws:
        `IOException`

    - #### getBody

          public InputStream getBody()
                              throws IOException

      Throws:
        `IOException`

    - #### getBodyAsString

          public String getBodyAsString()
                                 throws IOException

      Specified by:
        `getBodyAsString` in interface `InputPart`
      Throws:
        `IOException`

    - #### getHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getHeaders()

      Specified by:
        `getHeaders` in interface `InputPart`
      Returns:
        headers of this part

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `InputPart`
      Returns:
        "Content-Type" of this part

    - #### isContentTypeFromMessage

          public boolean isContentTypeFromMessage()

      Specified by:
        `isContentTypeFromMessage` in interface `InputPart`
      Returns:
        true if the Content-Type was resolved from the message, false if it was resolved from the server default